var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { last } from 'ramda';
import Tooltip from '@mui/material/Tooltip';
import { useStyles } from './styles';
export var HierarchicalAttributeTooltip = function (_a) {
    var pathToTitle = _a.pathToTitle, children = _a.children, tooltipProps = __rest(_a, ["pathToTitle", "children"]);
    var styles = useStyles();
    var tooltipContent = (pathToTitle === null || pathToTitle === void 0 ? void 0 : pathToTitle.length) ? (React.createElement("div", { className: styles.tooltipContent },
        React.createElement("p", null, last(pathToTitle)),
        pathToTitle.length > 2 && (React.createElement("ul", null, pathToTitle.map(function (label) { return (React.createElement("li", { key: label }, label)); }))))) : ('');
    return (React.createElement(Tooltip, __assign({ title: tooltipContent, disableFocusListener: true, classes: { tooltip: styles.tooltip } }, tooltipProps), children));
};
